Skip to content
masterclass Buddy

System Design · Concept

REST

REST is a stateless, cacheable style for client-server APIs. Clients use URIs and HTTP methods to act on resources and receive representations.

Last updated

Syntax

GET /someresources/anId
PUT /someresources/anId
{"anotherdata":"another value"}

In-depth API docs are only for subscribers: parameters, examples, common mistakes and interview practice.

Subscribe
  • RPC
  • HTTP
  • URI
  • client/server model
  • cacheable communication
  • horizontal scaling
  • partitioning
  • GET

Source: system-design-primer/README.md at master · donnemartin/system-design-primer · GitHub. Checked 2026-11-03.